Subject: bug#12079: 23.3; erroneous byte-compile-file warning

From: Alp Aker <[email-masked]>
Date: Mon, 30 Jul 2012 03:06:29 -0400

On Mon, Jul 30, 2012 at 12:42 AM, Winston <[email-masked]> wrote:
> I recommend the current misleading warning be replaced with a suggestion
> that using with-current-buffer would be more efficient, which is
> apparently what was intended.

The warning message was changed in just that way over a year ago.  If
you upgrade to v24.1 the warning you'll see is "Use
`with-current-buffer' rather than save-excursion+set-buffer".